<template>
	<view class="content">
		<view class="bg">
			<image  src="https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20240715/93fc6ee39e034d24916fe54e195a0c6e.jpg"></image>
		</view>
		<view class="video-cont">
			<video
			autoplay
			v-if="config!=null"
			:src="config.videoUrl"
			style="width: 95%;"
			controls
			></video> 
		</view>
	</view>
</template>

<script>
 import {getStoreConfig} from '@/api/common'
 export default {
 	data() {
 		return {
 			config:null,
 		}
 	},
 	onLoad(option) {
 		
 	},
	onShow() {
		this.getStoreConfig();
	},
 	methods: {
 		getStoreConfig(){
 			getStoreConfig().then(
 				res => {
 					if(res.code==200){
 						this.config=res.data
 						console.log(this.config);
 					}
 				},
 				rej => {}
 			);
 			
 		}
 	}
 }
 
</script>


<style scoped lang="scss">
page{
}
.content{
	width: 100%;
	height:100%;
	position: relative;
	.bg{
		width: 100%;
		height:100%;
		position: absolute;
		image{
			width:100%;
			height:3500px;
		}
	}
	.video-cont{
		padding-top: 390px;
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
		
	}
	
}
 

</style>
